<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EcoAssistantSelection StructType
 * @subpackage Structs
 */
class EcoAssistantSelection extends AbstractStructBase
{
    /**
     * The Driver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Identifier
     */
    public $Driver;
    /**
     * Constructor method for EcoAssistantSelection
     * @uses EcoAssistantSelection::setDriver()
     * @param \StructType\Identifier $driver
     */
    public function __construct(\StructType\Identifier $driver = null)
    {
        $this
            ->setDriver($driver);
    }
    /**
     * Get Driver value
     * @return \StructType\Identifier|null
     */
    public function getDriver()
    {
        return $this->Driver;
    }
    /**
     * Set Driver value
     * @param \StructType\Identifier $driver
     * @return \StructType\EcoAssistantSelection
     */
    public function setDriver(\StructType\Identifier $driver = null)
    {
        $this->Driver = $driver;
        return $this;
    }
}
